% Using the A255 Matlab class.

% Turn on the robot; do not start minicom or home the robot!

% r is the robot
r = A255.instance()

% need to home the robot using r.joint
J = 1;
while J < 6
    s = sprintf('Adjust joint %d by how many degrees? ', J);
    in = input(s, 's');
    deg = str2double(in);
    if ~isnan(deg)
        if deg == 0
            J = J + 1;
        else
            r.joint(J, deg);
        end
    end
end

display('Homing the robot');
help A255.home
r.home()

display('Moving the robot to the ready position');
help A255.ready
r.ready()

display('Moving joint 1 by 45 degrees');
help A255.joint
r.joint(1, 45);

display('Getting joint angles and position');
help A255.w0
[J, P, T] = r.w0()

r.joint(1, -90);
r.joint(2, -30);
display('Notice that the end-effector remains horizontal!');


% Always quit
help A255.quit
r.quit()


% There are a lot of functions you might want to use that are
% not implemented. You can add your own implementations to
% A150.m
%
% If you edit A150.m make sure you issue the quit command to
% to the robot, save your edits, and then get a new instance.
% Otherwise you run the risk of tying up the serial port.
% If you run into this problem, type

out = instrfind

% And find the open serial port. Let's assume the open port is
% out(5); close it by typing
%
% out(5).close()


